#1917 closed defect (fixed)

dynamic tables for libchip serial drivers

Reported by: Jennifer Averett Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

The libchip serial drivers force bsps to define all chips/ports up front in a static table. The attached patch allows you to probe and dynamically insert entries. This allows for the addition of daughter cards, or other boards to be defined for a system by the application and not corrupt the bsp. This patch is rather large due to the fact that it touches all bsps that use the libchip style serial drivers. However, it is just the same modifications across many bsps.

Note: there are subsequent additions for two different types of multi-port cards that depend on this.

Attachments (2)

Console-Patch.txt (116.7 KB) - added by Jennifer Averett on Sep 20, 2011 at 12:57:24 PM.
Adds dynamic tables for libchip serial drivers
Console-Patch_v1.txt (116.1 KB) - added by Jennifer Averett on Oct 11, 2011 at 1:13:11 PM.
Adds dynamic tables for libchip serial drivers

Download all attachments as: .zip

Change History (7)

Changed on Sep 20, 2011 at 12:57:24 PM by Jennifer Averett

Attachment: Console-Patch.txt added

Adds dynamic tables for libchip serial drivers

comment:1 Changed on Sep 20, 2011 at 2:22:47 PM by Sebastian Huber

Cc: Sebastian Huber added

comment:2 Changed on Sep 30, 2011 at 6:53:18 PM by Jennifer Averett

blocked: 1925

Changed on Oct 11, 2011 at 1:13:11 PM by Jennifer Averett

Attachment: Console-Patch_v1.txt added

Adds dynamic tables for libchip serial drivers

comment:3 Changed on Oct 11, 2011 at 1:13:11 PM by Jennifer Averett

attachments.isobsolete: 01

comment:4 Changed on Oct 18, 2011 at 5:41:38 PM by Jennifer Averett

Resolution: fixed
Status: newclosed

Applied patch to head.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.